Subject: Re: [PATCH net-next 3/5] net: lan966x: add port module support

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 18 Nov 2021 16:11:23 +0000

On Thu, Nov 18, 2021 at 10:36:58AM -0500, Sean Anderson wrote:
> Hi Russell,
> 
> On 11/18/21 8:31 AM, Russell King (Oracle) wrote:
> > On Thu, Nov 18, 2021 at 01:59:28PM +0100, Horatiu Vultur wrote:
> > > The 11/18/2021 09:59, Russell King (Oracle) wrote:
> > > > Another approach would be to split phylink_mii_c22_pcs_decode_state()
> > > > so that the appropriate decode function is selected depending on the
> > > > interface state, which may be a better idea.
> > > 
> > > I have tried to look for phylink_mii_c22_pcs_decode_state() and I
> > > have found it only here [1], and seems that it depends on [2]. But not
> > > much activity happened to these series since October.
> > > Do you think they will still get in?
> > 
> > I don't see any reason the first two patches should not be sent. I'm
> > carrying the second one locally because I use it in some changes I've
> > made to the mv88e6xxx code - as I mentioned in the patchwork entry you
> > linked to. See:
> > 
> >   http://git.armlinux.org.uk/cgit/linux-arm.git/log/?h=net-queue
> > 
> >   "net: phylink: Add helpers for c22 registers without MDIO"
> > 
> > Although I notice I committed it to my tree with the wrong author. :(
> > 
> > Sean, please can you submit the mdiodev patch and this patch for
> > net-next as they have general utility? Thanks.
> 
> The mdiodev patch is already in the tree as 0ebecb2644c8 ("net: mdio:
> Add helper functions for accessing MDIO devices"). The c22 patch is
> submitted as [1].
> 
> --Sean
> 
> [1] https://lore.kernel.org/netdev/[email-masked]/

Patchwork says its deferrred:

https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

However, it does apply to current net-next, but Jakub did ask for
it to be resubmitted. Given that patches are being quickly applied
to net-next, I suggest resubmission may be just what's neeeded!

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!